Patch an email template
curl --request PATCH \
--url https://app.herondata.io/api/email_templates/{heron_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"cc_address": "<string>",
"html_body": "<string>",
"name": "<string>",
"reply_to_address": "<string>",
"to_address": "<string>"
}
'import requests
url = "https://app.herondata.io/api/email_templates/{heron_id}"
payload = {
"cc_address": "<string>",
"html_body": "<string>",
"name": "<string>",
"reply_to_address": "<string>",
"to_address": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cc_address: '<string>',
html_body: '<string>',
name: '<string>',
reply_to_address: '<string>',
to_address: '<string>'
})
};
fetch('https://app.herondata.io/api/email_templates/{heron_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email_template": {
"cc_address": "<string>",
"heron_id": "<string>",
"html_body": "<string>",
"name": "<string>",
"reply_to_address": "<string>",
"to_address": "<string>"
}
}EmailTemplates
Patch an email template
Update an email template
PATCH
/
api
/
email_templates
/
{heron_id}
Patch an email template
Authorizations
Path Parameters
Body
application/json
The email address to CC
The body of the email to send.
Unique name of the email template. Used to match which email template to send. Only alphanumeric characters, underscores, and dashes are allowed.
Required string length:
3 - 50Pattern:
^[a-zA-Z0-9_-]+$The email address to reply to
The email address to send the email to
Response
201 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I